#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  libvorbis-1.3.7

- Next

  MLT-7.4.0

- Up
- Home

# libvpx-1.11.0

## Introduction to libvpx

This package, from the WebM project, provides the reference implementations of the VP8 Codec, used in most current html5 video, and of the next-generation VP9 Codec.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://github.com/webmproject/libvpx/archive/v1.11.0/libvpx-1.11.0.tar.gz

- Download MD5 sum: 82e5e527336b41281a582204db1f3457

- Download size: 5.1 MB

- Estimated disk space required: 64 MB (add 1.3GB if running tests)

- Estimated build time: 1.6 SBU, add 44 SBU if running tests, including download time

### libvpx Dependencies

#### Recommended

yasm-1.3.0 or NASM-2.15.05, and Which-2.21 (so configure can find yasm)

#### Optional

cURL-7.81.0 (to download test files) and Doxygen-1.9.3 (to build documentation)

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libvpx

## Installation of libvpx

Install libvpx by running the following commands:

    sed -i 's/cp -p/cp/' build/make/Makefile &&

    mkdir libvpx-build            &&
    cd    libvpx-build            &&

    ../configure --prefix=/usr    \
                 --enable-shared  \
                 --disable-static &&
    make

To test the results, issue: LD_LIBRARY_PATH=. make test. The test suite downloads several files as part of its test process.

Now, as the `root` user:

    make install

## Command Explanations

sed ... : This command corrects ownership and permissions of installed files.

mkdir libvpx-build && cd libvpx-build: The libvpx developers recommend building in a dedicated build directory.

`--disable-vp8`: This switch prevents building of VP8 codec support.

`--disable-vp9`: This switch prevents building of VP9 codec support.

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--target=generic-gnu`: This switch disables optimizations specific for x86 and x86-64, allowing to build this package without nasm and yasm installed.

LD_LIBRARY_PATH=.: This is needed for the testsuite to use the just built library.

## Contents

Installed Programs: vpxdec and vpxenc
Installed Libraries: libvpx.so
Installed Directories: /usr/include/vpx

### Short Descriptions

vpxdec | is the WebM Project VP8 and VP9 decoder
vpxenc | is the WebM project VP8 and VP9 encoder
`libvpx.so` | provides functions to use the VP8 and VP9 video codecs

Last updated on

- Prev

  libvorbis-1.3.7

- Next

  MLT-7.4.0

- Up
- Home